org.apache.olingo.commons.api.ex

## Class ODataErrorDetail

- java.lang.Object
- - org.apache.olingo.commons.api.ex.ODataErrorDetail

-     public class ODataErrorDetail
      extends Object

  OData details， for example `{ "error": {..., "details":[ {"code": "301","target": "$search" ,"message": "$search query option not supported"} ],...}}`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataErrorDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getAdditionalProperties()` Gets server defined additional properties.
    `String` | `getCode()` Gets error code.
    `String` | `getMessage()` Gets error message.
    `String` | `getTarget()` Gets error target.
    `ODataErrorDetail` | `setAdditionalProperties(Map<String,Object> additionalProperties)` Sets server defined additional properties
    `ODataErrorDetail` | `setCode(String code)`
    `ODataErrorDetail` | `setMessage(String message)`
    `ODataErrorDetail` | `setTarget(String target)` Set the error target.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataErrorDetail

          public ODataErrorDetail()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets error code.
      Returns:
        error code.

    - #### setCode

          public ODataErrorDetail setCode(String code)

    - #### getMessage

          public String getMessage()

      Gets error message.
      Returns:
        error message.

    - #### setMessage

          public ODataErrorDetail setMessage(String message)

    - #### getTarget

          public String getTarget()

      Gets error target.
      Returns:
        error message.

    - #### setTarget

          public ODataErrorDetail setTarget(String target)

      Set the error target.
      Parameters:
        `target` - the error target
      Returns:
        this ODataErrorDetail instance (fluent builder)

    - #### setAdditionalProperties

          public ODataErrorDetail setAdditionalProperties(Map<String,Object> additionalProperties)

      Sets server defined additional properties
      Parameters:
        `additionalProperties` - additionalProperties
      Returns:
        this ODataErrorDetail instance (fluent builder)

    - #### getAdditionalProperties

          public Map<String,Object> getAdditionalProperties()

      Gets server defined additional properties.
      Returns:
        a pair representing server defined object.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.